#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# === HardwareInformation::GUI::Gtk::PurchasedHardware
# =========================================================================== #
# require 'hardware_information/gui/gtk3/purchased_hardware/purchased_hardware.rb'
# HardwareInformation::GUI::Gtk::PurchasedHardware.new
# =========================================================================== #
require 'gtk_paradise/require_gtk3'

class HardwareInformation

module GUI

module Gtk

class PurchasedHardware < ::Gtk::Box

  require 'hardware_information/gui/shared_code/purchased_hardware/purchased_hardware_module.rb'
  include ::HardwareInformation::GUI::Gtk::PurchasedHardwareModule

  # ========================================================================= #
  # === HardwareInformation::GUI::Gtk::PurchasedHardware.run
  # ========================================================================= #
  def self.run
    ::HardwareInformation::GUI::Gtk::PurchasedHardwareModule.run
  end

end; end; end; end

if __FILE__ == $PROGRAM_NAME
  HardwareInformation::GUI::Gtk::PurchasedHardware.run
end