#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'hardware_information/project/project.rb'
# =========================================================================== #
class HardwareInformation

  # ========================================================================= #
  # === PROJECT_BASE_DIRECTORY
  # ========================================================================= #
  PROJECT_BASE_DIRECTORY = 
    File.absolute_path("#{__dir__}/..")+'/'

  # ========================================================================= #
  # === PROJECT_YAML_DIRECTORY
  #
  # Refer to the internal yaml-directory as well.
  # ========================================================================= #
  PROJECT_YAML_DIRECTORY = "#{PROJECT_BASE_DIRECTORY}yaml/"

  # ========================================================================= #
  # === HardwareInformation.project_base_directory?
  # ========================================================================= #
  def self.project_base_directory?
    PROJECT_BASE_DIRECTORY
  end; self.instance_eval { alias project_base_dir? project_base_directory? } # === HardwareInformation.project_base_dir?

end