#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# === HardwareInformation::GUI::Gtk::ShowInputDevices
# =========================================================================== #
# require 'hardware_information/gui/gtk2/show_input_devices/show_input_devices.rb'
# HardwareInformation::GUI::Gtk::ShowInputDevices.new
# =========================================================================== #
require 'gtk_paradise/require_gtk2'

class HardwareInformation

module GUI

module Gtk

class ShowInputDevices < ::Gtk::VBox

  require 'hardware_information/gui/shared_code/show_input_devices/show_input_devices_module.rb'
  include ::HardwareInformation::GUI::Gtk::ShowInputDevicesModule

  # ========================================================================= #
  # === HardwareInformation::GUI::Gtk::ShowInputDevices.run
  # ========================================================================= #
  def self.run
    ::HardwareInformation::GUI::Gtk::ShowInputDevicesModule.run
  end

end; end; end; end

if __FILE__ == $PROGRAM_NAME
  HardwareInformation::GUI::Gtk::ShowInputDevices.run
end # showinputdevices